/**
 *  UOC Hive Campus per UOC OPEN API
 *  <br />
 *  
 *
 *  @author Ral Martnez Daz
 *  @version 1.0
 */
package com.uoc.hive.campus;



import android.os.Bundle;
import android.content.Intent;
import android.content.SharedPreferences;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageView;



public class logonUOCActivity extends LoginActivity {
	private String oauthToken;
	private static SharedPreferences settings;
	
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);
        
        ImageView image = (ImageView) findViewById(R.id.titleBarButton);
		image.setImageResource(R.drawable.ic_close);        
        
		addListenerOnButtons();
		
        Login ();          
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.logon_menu, menu);
        return true;
    }
    
    @Override
	public boolean onOptionsItemSelected(MenuItem item){
		switch(item.getItemId()){
			case R.id.menu_close:
				finish();
				return true;				
			default:
				return super.onContextItemSelected(item);			
		}
	}
   
    
    
    private void Login() {
		IniciarLogin();
	}

	@Override
	public void NextActivityIntent(String ouathtoken) {
		
		// Salvem l'intent i retornem a l'Activity que ha fet la crida.
		
		Log.i("iLOGONUOC", "Retornant logon ok");
		
		Intent returnIntent = this.getIntent();		
		setResult(RESULT_OK, returnIntent);		
		finish();
				
	}
	
	/**
     * Conjunt de disparadors de la Activity.    
	 */
	public void addListenerOnButtons() {	
		
		/**
	     * Bot tancar de la barra de men - Finalitza l'activity.    
		 */
		findViewById(R.id.titleBarButton).setOnClickListener(new OnClickListener() {				 
			@Override
			
			public void onClick(View arg0) {
				oauthToken = "error";
				settings = getSharedPreferences(Constants.CONFIG_FILE,
						MODE_PRIVATE);
				settings.edit().putString("oauthToken", oauthToken).commit();
				finish();
			}		 
		});
	}
	
	

	
	
}
